summaryrefslogtreecommitdiff
path: root/packaging/ubuntu-mantic-docker/gnunet-build.sh
diff options
context:
space:
mode:
authorChristian Grothoff <grothoff@gnunet.org>2024-02-10 19:44:26 +0100
committerChristian Grothoff <grothoff@gnunet.org>2024-02-10 19:44:26 +0100
commit876fdea061f813b1524a7f7a89dfd60c4144f18d (patch)
tree271b5c8cdf479461c8ff3c93d52c45f4c868d90e /packaging/ubuntu-mantic-docker/gnunet-build.sh
parent5b914fdbd309515d62cb1fc343dd7c8bd93d3981 (diff)
downloaddeployment-876fdea061f813b1524a7f7a89dfd60c4144f18d.tar.gz
deployment-876fdea061f813b1524a7f7a89dfd60c4144f18d.tar.bz2
deployment-876fdea061f813b1524a7f7a89dfd60c4144f18d.zip
work on packaging
Diffstat (limited to 'packaging/ubuntu-mantic-docker/gnunet-build.sh')
-rw-r--r--packaging/ubuntu-mantic-docker/gnunet-build.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/packaging/ubuntu-mantic-docker/gnunet-build.sh b/packaging/ubuntu-mantic-docker/gnunet-build.sh
new file mode 100644
index 0000000..72f07ba
--- /dev/null
+++ b/packaging/ubuntu-mantic-docker/gnunet-build.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+
+mkdir -p /build/gnunet
+cd /build/gnunet
+
+# Fetch source
+rm -rf *
+
+pip3 install --break-system-packages sphinx-book-theme
+
+for n in gnunet
+do
+ git clone git://git.gnunet.org/$n
+ cd $n
+ git checkout $1
+ ./bootstrap
+ dpkg-buildpackage -rfakeroot -b -uc -us
+ cd ..
+ dpkg -i *.deb
+done
+
+tar cvf ../packages.tgz *.deb
+
+cd ..